{
  lib,
  config,
  pkgs,
  ...
}:
let
  inherit (lib) mkEnableOption mkIf;

  cfg = config.marleyos.programs.figlet;
in
{
  options.marleyos.programs.figlet.enable = mkEnableOption "figlet";

  config = mkIf cfg.enable {
    home.packages = with pkgs; [
      marleyos.figlet-xero-fonts
    ];

    programs.fish.functions = lib.mkIf config.programs.fish.enable {
      figlet = {
        wraps = "figlet";
        body = # fish
          ''
            command figlet -f "ANSI Shadow" $argv
          '';
      };
    };
  };
}
